"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("underscore");
function scheduleStep(schedule, type) {
    var lookup = function (scheduleField, step) {
        return scheduleField && !_.isUndefined(scheduleField[step]) ? scheduleField[step] : null;
    };
    return {
        start: lookup(schedule.startDate, type),
        end: lookup(schedule.endDate, type),
        duration: lookup(schedule.duration, type)
    };
}
exports.scheduleStep = scheduleStep;
//# sourceMappingURL=scheduleStep.js.map