import {ApprovalStatus} from "kaneoh-data-types/types/records/ApprovalRequestRecord";
import * as _ from "underscore";

export function isAllReplied(approvers: Array<ApprovalStatus>): boolean {
    if (_(approvers).isEmpty()) {
        return false;
    }

    return !_.find(approvers, (approver) => {
        return approver.status === "waiting" || !approver.status;
    });
}
