"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ApprovalRequestStatus_1 = require("../constants/ApprovalRequestStatus");
var isAllApproved_1 = require("./isAllApproved");
var isAllReplied_1 = require("./isAllReplied");
function extendStatus(record) {
    var approvers = record.approvers || [];
    var status = isAllReplied_1.isAllReplied(approvers)
        ? isAllApproved_1.isAllApproved(approvers) ? ApprovalRequestStatus_1.ApprovalRequestStatus.COMPLETED : ApprovalRequestStatus_1.ApprovalRequestStatus.REJECTED
        : record.immutable ? ApprovalRequestStatus_1.ApprovalRequestStatus.CANCEL : ApprovalRequestStatus_1.ApprovalRequestStatus.UNDER_APPROVAL;
    record.status = status;
    return record;
}
exports.extendStatus = extendStatus;
//# sourceMappingURL=extendStatus.js.map