"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("underscore");
function isAllApproved(approvers) {
    if (_(approvers).isEmpty()) {
        return false;
    }
    return _.every(approvers, function (approver) { return approver.status === "approved"; });
}
exports.isAllApproved = isAllApproved;
//# sourceMappingURL=isAllApproved.js.map