"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("underscore");
function isAllReplied(approvers) {
    if (_(approvers).isEmpty()) {
        return false;
    }
    return !_.find(approvers, function (approver) {
        return approver.status === "waiting" || !approver.status;
    });
}
exports.isAllReplied = isAllReplied;
//# sourceMappingURL=isAllReplied.js.map