"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function ensureDuration(obj, isNonWorkingDay, date, excludeHolidays, type) {
    // At least 1 day if date is weekday
    var mayNeedUpdate = excludeHolidays && !isNonWorkingDay(date);
    if (type && obj.duration instanceof Object) {
        if (mayNeedUpdate && obj.duration[type] === 0) {
            obj.duration[type] = 1;
        }
    }
    else {
        if (mayNeedUpdate && obj.duration === 0) {
            obj.duration = 1;
        }
    }
}
exports.ensureDuration = ensureDuration;
//# sourceMappingURL=ensureDuration.js.map